Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing
Class ATestRuntimeModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.service.DefaultRuntimeModule
              org.eclipse.amp.amf.testing.AbstractATestRuntimeModule
                  org.eclipse.amp.amf.testing.ATestRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

    public class ATestRuntimeModule

extends AbstractATestRuntimeModule

Use this class to register components to be used within the IDE.

Field Summary

Fields inherited from class org.eclipse.amp.amf.testing.AbstractATestRuntimeModule
`properties`

Constructor Summary
`ATestRuntimeModule()`

Method Summary
`java.lang.Class<? extends org.eclipse.xtext.linking.ILinker>` | `bindILinker()`
`java.lang.Class<? extends org.eclipse.xtext.scoping.impl.ImportUriResolver>` | `bindImportUriResolver()`

Methods inherited from class org.eclipse.amp.amf.testing.AbstractATestRuntimeModule
`bindAbstractTypeScopeProvider, bindATestJavaValidator, bindClassLoaderToInstance, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIFormatter, bindIGenerator, bindIGlobalScopeProvider, bindIGrammarAccess, bindIJvmTypeProvider$Factory, bindIParser, bindIParseTreeConstructor, bindIQualifiedNameProvider, bindIScopeProvider, bindITokenDefProvider, bindITokenToStringConverter, bindLexer, bindTypesFactoryToInstance, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIScopeProviderDelegate, configureLanguageName, configureRuntimeLexer, provideInternalATestLexer`

Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule
`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindISemanticSequencer, bindISerializer, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, provideIEncodingProvider`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`bindProperties, getBindings, tryBindProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestRuntimeModule

    public ATestRuntimeModule()

Method Detail

### bindImportUriResolver

    public java.lang.Class<? extends org.eclipse.xtext.scoping.impl.ImportUriResolver> bindImportUriResolver()

### bindILinker

    public java.lang.Class<? extends org.eclipse.xtext.linking.ILinker> bindILinker()

  Overrides:
    `bindILinker` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD